package edu.wpi.cs.dsrg.xmldb.xat.component.sqlgeneration;

/**
 * defines the different clauses that can be used in a query
 * @author: Brad Pielech
 */
public interface QueryTypes {
	/** Constants defining SQL Clause types */
	static final int SELECT     = 0;
	static final int FROM       = 1;
	static final int WHERE      = 2;
	static final int GROUPBY    = 3;
	static final int ORDERBY    = 4;

	static final int DISTINCT   = 5;
	static final int FUNCTION   = 6;
	
	/* Constants defining XQuery Clause types */
	static final int FOR        = 0;
	static final int LET        = 1;
	/** WHERE is the same as SQL */
	//static final int WHERE    = 2;
	static final int OUTER_RETURN     = 3;
	static final int INNER_RETURN     = 4;

	/** Constants defining Query Types*/
	static final int SQL        = 0;
	static final int SQL_OR     = 1;
	static final int XQUERY     = 2;

}
