package edu.wpi.cs.dsrg.xmldb.xat.component.statisticsgatherer;

/**
 * Insert the type's description here.
 * Creation date: (2/12/2003 5:27:18 PM)
 * @author: Brad Pielech
 */
public class TimeSpentEvaluatingRulesTotal extends AggregateStatisticsObject {
/**
 * TimeSpentEvaluatingRulesTotal constructor comment.
 */
public TimeSpentEvaluatingRulesTotal() {
	super();	
}
/**
 * TimeSpentEvaluatingRulesTotal constructor comment.
 * @param name java.lang.String
 * @param operator edu.wpi.cs.dsrg.xmldb.xat.common.operator.XATOperator
 */
public TimeSpentEvaluatingRulesTotal(String name, edu.wpi.cs.dsrg.xmldb.xat.common.operator.XATOperator operator) {
	super(name, operator);
}
/**
 * This is semantically the same as <tt>calculateNewValue()</tt>, but this
 * provides a parameter which assists in the calculation.
 * Calculates the new Value of the given property of this operator.  This
 * should be overwritten by subclasses who can tailor this method to calculating 1
 * specific property. <p>
 * This method should update at least the local propertyValue and possibly the
 * value with the operator The entire StatisticsGatherer is available for assistance.   <p>
 *
 * The procedure for calculating new values should be as follows:
 *
 * <ol>
 * <li> Consult the statsTable for any propertyValues that are needed.
 * <li> Perform the required calculations using the propertyValues from step 1
 * <li> Update the local propertyValue.
 * <li> Update the lastTimeUpdated value by using <tt>lastTimeUpdated = System.currentTimeMillis();</tt>
 * </ol> 
 */
public void calculateNewValue() {
	
	this.setPropertyValue(stats.getValue("TIME_SPENT_EVALUATING_RULE", this.getAssociatedQueryObject()));	
}
}
